<#--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
<#assign appModelMenu = Static["org.apache.ofbiz.widget.model.MenuFactory"].getMenuFromLocation(applicationMenuLocation,applicationMenuName,visualTheme)>
<#if person?has_content>
  <#assign userName = (person.firstName!) + " " + (person.middleName!) + " " + person.lastName!>
<#elseif partyGroup?has_content>
  <#assign userName = partyGroup.groupName!>
<#elseif userLogin??>
  <#assign userName = userLogin.userLoginId>
<#else>
  <#assign userName = "">
</#if>
<#if defaultOrganizationPartyGroupName?has_content>
  <#assign orgName = " - " + defaultOrganizationPartyGroupName!>
<#else>
  <#assign orgName = "">
</#if>

<#if appModelMenu.getModelMenuItemByName(headerItem)??>
  <#if headerItem!="main">
    <div id="app-nav-selected-item">
      ${appModelMenu.getModelMenuItemByName(headerItem).getTitle(context)}
    </div>
  </#if>
</#if>

<#if parameters.portalPageId?has_content && !appModelMenu.getModelMenuItemByName(headerItem)?? && userLogin??>
    <#assign findMap = Static["org.apache.ofbiz.base.util.UtilMisc"].toMap("portalPageId", parameters.portalPageId)>
    <#assign portalPage = delegator.findOne("PortalPage", findMap, true)!>
    <#if portalPage?has_content>
      <div id="app-nav-selected-item">
        ${portalPage.get("portalPageName", locale)!}
      </div>
    </#if>
</#if>

<div id="control-area">
  <ul id="preferences-menu">
    <#if userLogin??>
      <#if "Y" == (userPreferences.COMPACT_HEADER)?default("N")>
        <li class="collapsed"><a href="javascript:document.setUserPreferenceCompactHeaderN.submit()">&nbsp;</a>
          <form name="setUserPreferenceCompactHeaderN" method="post" action="<@ofbizUrl>setUserPreference</@ofbizUrl>">
            <input type="hidden" name="userPrefGroupTypeId" value="GLOBAL_PREFERENCES"/>
            <input type="hidden" name="userPrefTypeId" value="COMPACT_HEADER"/>
            <input type="hidden" name="userPrefValue" value="N"/>
          </form>
        </li>
      <#else>
        <li class="expanded">
        <#--  <a href="javascript:document.setUserPreferenceCompactHeaderY.submit()">&nbsp;</a>  -->
          <form name="setUserPreferenceCompactHeaderY" method="post" action="<@ofbizUrl>setUserPreference</@ofbizUrl>">
            <input type="hidden" name="userPrefGroupTypeId" value="GLOBAL_PREFERENCES"/>
            <input type="hidden" name="userPrefTypeId" value="COMPACT_HEADER"/>
            <input type="hidden" name="userPrefValue" value="Y"/>
          </form>
        </li>
      </#if>
    </#if>
    <#if userLogin??>
      <#--if webSiteId?? && requestAttributes._CURRENT_VIEW_?? && helpTopic??-->
      <#if parameters.componentName?? && requestAttributes._CURRENT_VIEW_?? && helpTopic??>
        <#include "component://common-theme/template/includes/HelpLink.ftl" />
        <#--  <li><a class="help-link <#if pageAvail?has_content> alert</#if>" href="javascript:lookup_popup1('showHelp?helpTopic=${helpTopic}&amp;portalPageId=${(parameters.portalPageId!)?html}','help' ,500,500);" title="${uiLabelMap.CommonHelp}"></a></li>  -->
      </#if>
      <li><a href="<@ofbizUrl>logout</@ofbizUrl>">${uiLabelMap.CommonLogout}</a></li>
      <#--  <li><a href="<@ofbizUrl>ListVisualThemes</@ofbizUrl>">${uiLabelMap.CommonVisualThemes}</a></li>  -->
    <#else>
      <li><a href="<@ofbizUrl>${checkLoginUrl}</@ofbizUrl>">${uiLabelMap.CommonLogin}</a></li>
      </hr id="login-hr">
    </#if>
    <#--  <li <#if companyListSize?default(0) &lt;= 1>class="language"</#if>><a href="<@ofbizUrl>ListLocales</@ofbizUrl>">${uiLabelMap.CommonLanguageTitle}</a></li>  -->
    <#if userLogin?exists>
      <#if userLogin.partyId?exists>
        <li class="user"><a href="/partymgr/control/viewprofile?partyId=${userLogin.partyId}${externalKeyParam!}">${userName}</a>&nbsp;&nbsp;&nbsp;&nbsp;</li>
        <#assign size = companyListSize?default(0)>
        <#if size &gt; 1>
            <#assign currentCompany = delegator.findOne("PartyNameView", {"partyId" : organizationPartyId}, false)>
            <#if currentCompany?exists>
                <li class="user">
                    <a href="<@ofbizUrl>ListSetCompanies</@ofbizUrl>">${currentCompany.groupName} &nbsp;- </a>
                </li>
            </#if>
        </#if>
      <#else>
        <li class="user">${userName}</li>
      </#if>
    </#if>
  </ul>
 </div>
</div>
<#--  <div class="clear">
</div>  -->
  <#--  <div class="xerus-nav-side-bar">
       <ul class="" id="home">
         <li><a href="/manufacturing/control/main?externalLoginKey=ELf8650276-c0c1-4952-9936-fd87e090beff"><h2 id="production">${uiLabelMap.HOMEProduction}</h2></a></li>
         <li><a href="/facility/control/main?externalLoginKey=ELfccd14d0-0b7b-4ded-844d-d8a9b950187c"><h2 id="inv">${uiLabelMap.HOMEInventoryManagement}</h2></a></li>
         <li><a href="/assetmaint/control/main?externalLoginKey=ELfccd14d0-0b7b-4ded-844d-d8a9b950187c"><h2 id="asset">${uiLabelMap.HOMEAssetMaintenance}</h2></a></li>
         <li><a href="/ordermgr/control/main?externalLoginKey=ELe412b3d4-a7a5-42a8-bc8c-9be077c664b9"><h2 id="order">${uiLabelMap.HOMEOrder}</h2></a></li>
         <li><a href="/partymgr/control/main?externalLoginKey=EL154c28ab-c21d-4004-8ab4-cc18d49bbe65"><h2 id="users">${uiLabelMap.HOMEUsers}</h2></a></li>

         <li><a href="/catalog/control/main?externalLoginKey=ELfccd14d0-0b7b-4ded-844d-d8a9b950187c"><h2 id="prodcatalog">${uiLabelMap.HOMEProductCatalog}</h2></a></li>
       </ul>
  </div>  -->


   <#--
   <div class="nav">
      <ul>
          <li>
              <a href="/manufacturing/control/main?externalLoginKey=ELf8650276-c0c1-4952-9936-fd87e090beff">
                 <span class="icon"><i class='fas fa-globe' style='font-size:24px'></i></span>
                 <span class="title">Production</span>
              </a>
          </li>
          <li>
              <a href="/facility/control/main?externalLoginKey=ELfccd14d0-0b7b-4ded-844d-d8a9b950187c">
                 <span class="icon"><i style='font-size:24px' class='fas'>&#xf66f;</i></span>
                 <span class="title">Warehouse Management</span>
              </a>
          </li>
          <li>
              <a href="/assetmaint/control/main?externalLoginKey=ELfccd14d0-0b7b-4ded-844d-d8a9b950187c">
                 <span class="icon"><i style='font-size:24px' class='fas'>&#xf013;</i></span>
                 <span class="title">Asset Maintenance</span>
              </a>
          </li>
          <li>
              <a href="/ordermgr/control/main?externalLoginKey=ELe412b3d4-a7a5-42a8-bc8c-9be077c664b9">
                 <span class="icon"><i style='font-size:24px' class='fas'>&#xf0d1;</i></span>
                 <span class="title">Product Order</span>
              </a>
          </li>
          <li>
              <a href="/partymgr/control/main?externalLoginKey=EL154c28ab-c21d-4004-8ab4-cc18d49bbe65">
                 <span class="icon"><i style='font-size:24px' class='fas'>&#xf0c0;</i></span>
                 <span class="title">Users</span>
              </a>  
          </li>
          <li>
              <a href="/catalog/control/main?externalLoginKey=ELfccd14d0-0b7b-4ded-844d-d8a9b950187c">
                 <span class="icon"><i style='font-size:24px' class='fas'>&#xf4ce;</i></span>
                 <span class="title">Product Catalog</span>
              </a>
          </li>
      </ul>
  </div> 
  -->



<#if userLogin??>
<script type="application/javascript">
  var mainmenu = new DropDownMenu(jQuery('#main-navigation'));
  var appmenu = new DropDownMenu(jQuery('#app-navigation'));
</script>
</#if>
